---
title: DOMRectReadOnly.fromRect()
slug: Web/API/DOMRectReadOnly/fromRect
tags:
  - API
  - DOM Reference
  - DOMRect
  - DOMRectReadOnly
  - Experimental
  - Geometry
  - Method
  - Reference
  - fromRect()
---
<p>{{APIRef("DOM")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>fromRect()</code></strong> property of the {{domxref("DOMRectReadOnly")}} interface creates a new <code>DOMRectReadOnly</code> object with a given location and dimensions.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var domRect = DOMRectReadOnly.fromRect(rectangle)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>rectangle {{optional_inline}}</dt>
 <dd>An object specifying the location and dimensions of a rectangle. All properties default to <code>0</code>. The properties are:</dd>
 <dd>
 <ul>
  <li><code>x</code>: The coordinate of the left side of the rectangle.</li>
  <li><code>y</code>: The coordinate of the top side of the rectangle.</li>
  <li><code>width</code>: The width of the rectangle.</li>
  <li><code>height</code>: The height of the rectangle.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An instance of {{domxref("DOMRect")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces','#dom-domrect-fromrect','fromRect()')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.DOMRectReadOnly.fromRect")}}</p>
</div>
